Loading...
Searching...
No Matches
childextraction.hh File Reference
`#include <type_traits>`
`#include <utility>`
`#include <tuple>`
`#include <dune/common/documentation.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/shared_ptr.hh>`
`#include <dune/common/typetree/childaccess.hh>`
`#include <dune/typetree/treepath.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::TypeTree

## Typedefs

template<typename T>
using | Dune::TypeTree::is_flat_index = typename impl::_is_flat_index<std::decay_t<T>>::type
| Type trait that determines whether T is a flat index in the context of child extraction.

## Functions

template<typename Node, typename... Indices>
auto | Dune::TypeTree::childStorage (Node &&node, Indices... indices)
template<typename Node, typename... Indices>
auto | Dune::TypeTree::childStorage (Node &&node, HybridTreePath< Indices... > treePath)